<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
$set['title']='Мой зверек';
include_once '../sys/inc/thead.php';
title();
$q = mysql_query("SELECT * FROM `user` WHERE `id` = '$user[id]' LIMIT 1");
$user = mysql_fetch_assoc($q);
$fobian = mysql_fetch_array(mysql_query("SELECT * FROM `pets` WHERE `user_id` = '".$user['id']."'"));
$act=htmlspecialchars(trim($_GET['act']));
switch ($act) {		
case 'buy':
echo 'Ваш балы: '.$user['balls'].'<br/>';
echo 'Украсти анкету купите зверька!<br/><br />';
echo '<img src="/pets/img/1.png" alt="" /><br />';
echo 'Симпатичный мамонтенок (100 балов)<br/>';
if ($user['balls'] >= 100)	{	   
echo '<a href="?act=ok&amp;select=1">Купить зверька</a><br />';
}else{
echo 'Купить зверька<br />';
}
echo '<img src="/pets/img/2.png" alt="" /><br />';
echo 'Позитивный кошак (80 балов)<br/>'; 
if ($user['balls'] >= 80)	{	   
echo '<a href="?act=ok&amp;select=2">Купить зверька</a><br />';
}else{
echo 'Купить зверька<br />';
}	 			
echo '<img src="/pets/img/3.png" alt="" /><br />';
echo 'Веселый краб (50 балов)<br/>'; 
if ($user['balls'] >= 50)	{	   
echo '<a href="?act=ok&amp;select=3">Купить зверька</a><br />';
}else{
echo 'Купить зверька<br />';
}
echo '<img src="/pets/img/4.png" alt="" /><br />';
echo 'Нарик черепах))) (50 балов)<br/>'; 
if ($user['balls'] >= 50)	{	   
echo '<a href="?act=ok&amp;select=4">Купить зверька</a><br />';
}else{
echo 'Купить зверька<br />';
}	
echo '<img src="/pets/img/5.png" alt="" /><br />';
echo 'Злой крокодил (50 балов)<br/>'; 
if ($user['balls'] >= 50)	{	   
echo '<a href="?act=ok&amp;select=5">Купить зверька</a><br />';
}else{
echo 'Купить зверька<br />';
}
echo '<img src="/pets/img/6.png" alt="" /><br />';
echo 'Пингвине (50 балов)<br/>'; 
if ($user['balls'] >= 50)	{	   
echo '<a href="?act=ok&amp;select=6">Купить зверька</a><br />';
}else{
echo 'Купить зверька<br />';
}
echo '<img src="/pets/img/7.png" alt="" /><br />';
echo 'Голубой слон (50 балов)<br/>'; 
if ($user['balls'] >= 50)	{	   
echo '<a href="?act=ok&amp;select=7">Купить зверька</a><br />';
}else{
echo 'Купить зверька<br />';
}
echo "<div class=\"foot\">\n";
echo "&laquo;<a href=\"/pets/pet.php/\">Назад</a><br />\n";
echo "</div>\n";
break;
case 'ok':
$select = abs(intval($_GET['select']));
if ($select == 1) $price = $user['balls'] - 100;
if ($select == 2) $price = $user['balls'] - 80;
if ($select == 3) $price = $user['balls'] - 50;
if ($select == 4) $price = $user['balls'] - 50;
if ($select == 5) $price = $user['balls'] - 50;
if ($select == 6) $price = $user['balls'] - 50;
if ($select == 7) $price = $user['balls'] - 50;
if ($select >= 1 AND $select <= 7) {
if ($price >= 0) {
echo 'Зверек успешно куплен! Загляните в свою анкету<br/>
<a href="/info.php">В анкету &rarr;</a>';
mysql_query("UPDATE `pets` SET `pet_id` = '$select', `time` = '$realtime' WHERE `user_id` = '".$user['id']."'");
mysql_query("UPDATE `user` SET `balls` = '$price' WHERE `id` = '".$user['id']."'");
}else{
echo 'Хакер Бля!';
}
}else{
echo 'Такого зверька не существует!';
}
break;
	
default:
echo 'Хотите завести себе симпатичную зверушку в анкете?<br/> 
<a href="?act=buy">Купить зверька</a>';
echo "<div class=\"foot\">\n";
echo "&laquo;<a href=\"/umenu.php/\">Назад</a><br />\n";
echo "</div>\n";
if (!isset($fobian['user_id'])) mysql_query("INSERT INTO `pets` SET `user_id` = '".$user['id']."'");
break;
		
		
		
}
include_once '../sys/inc/tfoot.php';
?>